Bug 1761872 - Disabled buttons are still working
Summary: Disabled buttons are still working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Peter Dragun
URL:
Whiteboard:
: 1806467 (view as bug list)
Depends On: 1745555
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-15 13:36 UTC by Peter Dragun
Modified: 2021-04-22 09:07 UTC (History)
11 users (show)

Fixed In Version: foreman-2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1745555
Environment:
Last Closed: 2020-10-27 12:59:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29018 0 Normal Closed Disabled buttons are still working 2020-10-28 17:19:33 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:21 UTC

Comment 5 Ondřej Pražák 2020-02-14 14:19:36 UTC
Created redmine issue https://projects.theforeman.org/issues/29018 from this bug

Comment 6 Ron Lavi 2020-02-19 09:57:21 UTC
It's fixed in Foreman 1.22-stable and probably just needs a cherry pick to downstream.
It seem that this commit fixed it: https://github.com/theforeman/foreman/commit/c5bcd42965c6a85ca7edb5127da45dbd1740cfe0

Comment 7 Ron Lavi 2020-02-19 13:06:07 UTC
Actually, that commit seems to be cherry picked to downstream,
I will look more into it soon.

Comment 8 Bryan Kearney 2020-02-25 15:02:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29018 has been resolved.

Comment 10 Peter Dragun 2020-05-28 12:00:31 UTC
Verified on Satellite 6.8 snap 2.1
All mentioned disabled buttons are not clickable as expected.
I wasn't able to find any disabled button in whole UI that will still work.

Comment 13 errata-xmlrpc 2020-10-27 12:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366

Comment 14 Ondřej Ezr 2021-04-22 09:07:19 UTC
*** Bug 1806467 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.